
/* ----------------------------------------------------------------------
   The SINUS Firewall -- a TCP/IP packet filter for Linux

   Written within the SINUS project at the University of Zurich,
   SWITCH, Telekurs Payserv AG, ETH Zurich.
   originally based on the sf Firewall Software (C) 1996 by Robert
   Muchsel and Roland Schmid.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   SINUS Firewall resources:
   SINUS Homepage: http://www.ifi.unizh.ch/ikm/SINUS/
   Firewall Homepage: http://www.ifi.unizh.ch/ikm/SINUS/firewall.html
   Frequently asked questions: http://www.ifi.unizh.ch/ikm/SINUS/sf_faq.html
   Mailing list for comments, questions, bug reports: firewall@ifi.unizh.ch
   ----------------------------------------------------------------------  */



package sfclasses;

import java.awt.*;
import java.awt.event.*;
import java.net.URL;
import java.net.MalformedURLException;
import java.io.IOException;
import com.sun.java.swing.*;

	/**
	 * This class displays a text in a window.
	 * After the window has been constructed, control is given back to
	 * the invoking program.
	 * @see TextViev
	 * @author Mike Stock
	 */
public class TextView
	extends Frame
	implements ActionListener {

	MenuItem quit;

	/**
	 * Constructor
	 * @param doc The String to be dispayed.
	 */
	public TextView(String doc) {

		super("LogView");

		TextArea ta = new TextArea(doc, 30, 80);
		ta.setEditable(false);
		MenuBar mbar = new MenuBar();
		Menu file = new Menu("File", false);
		quit = new MenuItem("Quit");
		quit.addActionListener(this);
		file.add(quit);
		mbar.add(file);
		setMenuBar(mbar);
		setLayout(new BorderLayout());
		add("Center", ta);
		pack();
		setVisible(true);
	} // TextView

	public void actionPerformed(ActionEvent ae) {

		Object source = ae.getSource();
		if (source == quit) {
			dispose();
			return;
		}
		return;
	} // actionPerformed
	
} // class TextView
